/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.UsuarioBancario;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderUsuarioBancario implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        UsuarioBancario usuarioBancario = (UsuarioBancario) o;

        Listcell lc = new Listcell(usuarioBancario.getCveusuario());
        lc.setParent(lstm);

        lc = new Listcell(usuarioBancario.getPassword());
        lc.setParent(lstm);

        lstm.setAttribute("data", usuarioBancario);
    }
}
